#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, m; cin >> n >> m;
    vector<int> a(n);
    for (int &i : a) {
        cin >> i;
    }
    long long r = 0;
    while (m--) {
        int x, y; cin >> x >> y;
        r += abs(a[x - 1] + a[y - 1]);
    }
    cout << r << endl;
    return 0;
}